
Figure - Bug #118921
【AF】【EVT3】【Monkey】115版本Monkey测试异常停止，设备熄屏，但是触摸无法点亮，打开投屏瞬间设
备正常进入桌面
2023-06-29 10:14 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-29

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0115

Resolution: FIXED Degrated: --

Severity: Critical Verified Version: 0116

Reproducibility: Rarely Fixed Version: 2023-06-30

Test Type: ST Root cause: 编码问题

Description

【测试环境】

中控0092

副屏0115

【blacklist】

com.tc.logclient

com.microsoft.emmx

com.example.android.locationattribution

com.thundercomm.mcuupgrade

com.sohu.inputmethod.sogou.car

com.android.music

com.thundercomm.gamecenter 

【执行命令】

monkey --pkg-blacklist-file /sdcard/blackList.txt --hprof --throttle 500 -s 1234567 --pct-touch 35 --pct-motion 25 --pct-appswitch 30 --pct-pinchzoom

5 --pct-trackball 0 --pct-anyevent 5 --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes --ignore-native-crashes

--pct-syskeys 0 -v -v -v 32000000 2>/sdcard/error.txt 1>/sdcard/info.txt

【测试结果】

现象：黑屏无背光

操作：

1、触摸屏幕多次->设备无响应

2、adb shell ->有设备

3、打开投屏->打开投屏设备瞬间设备正常进入桌面

History

#1 - 2023-06-29 10:19 - CD TEST-方永红

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118921

#2 - 2023-06-29 11:53 - CD FW 曹覃刚

2025-07-04 1/4

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118921


■ 我的分析

------------

FSEM_000142_0043_0629090332/logcat/000142_persist_04245_230629_090016.log:817:06-29 09:00:16.867  1578 10049 I ActivityTaskManager: START u0

{act=android.intent.action.MAIN cat=[android.intent.category.LAUNCHER] flg=0x10200000 cmp=com.android.launcher3/.uioverrides.QuickstepLauncher} from uid

2000

①早上09:00:16进入桌面

FSEM_000142_0043_0629090332/logcat/000142_persist_04251_230629_090044.log:1523:06-29 09:00:45.905  1578  2133 I ActivityTaskManager: START u0

{flg=0x10000000 pkg=com.thundercomm.screensaver cmp=com.thundercomm.screensaver/android.service.dreams.DreamActivity (has extras)} from uid 1000

②早上09:00:45进入屏保，进入桌面30s后

  进入屏保的原因是，monkey在这30秒之中，在打印一些dump信息，因此并没有发送事件，30秒没有操作屏幕，进入屏保

FSEM_000142_0043_0629090332/logcat/000142_persist_04253_230629_090047.log:1608:06-29 09:00:51.118   819 13663 D sound_trigger_hw:

handle_screen_status_change: screen off

③进入屏保后5秒息屏了

06-29 09:35:54.878  1578  1825 I PowerManagerService: Powering on display group fromAsleep (groupId=0, uid=1000, reason=WAKE_REASON_POWER_BUTTON,

details=android.policy:POWER)...

FSEM_000142_0045_0629094133/logcat/000142_persist_04655_230629_093554.log:173:06-29 09:35:54.995   819 25503 D sound_trigger_hw:

handle_screen_status_change: screen on

④收到power事件唤醒屏幕，屏幕亮屏

000142_persist_04659_230629_093620.log:1157: 06-29 09:36:23.242 13626 13626 W Monkey  : * Error: A RuntimeException occurred:

000142_persist_04659_230629_093620.log:1163: 06-29 09:36:23.378 13626 13626 W Monkey  : java.lang.SecurityException: Injecting to another application requires

INJECT_EVENTS permission

000142_persist_04659_230629_093620.log:1164: 06-29 09:36:23.378 13626 13626 W Monkey  :     at android.os.Parcel.createExceptionOrNull(Parcel.java:2425)

000142_persist_04659_230629_093620.log:1165: 06-29 09:36:23.378 13626 13626 W Monkey  :     at android.os.Parcel.createException(Parcel.java:2409)

000142_persist_04659_230629_093620.log:1166: 06-29 09:36:23.378 13626 13626 W Monkey  :     at android.os.Parcel.readException(Parcel.java:2392)

000142_persist_04659_230629_093620.log:1167: 06-29 09:36:23.378 13626 13626 W Monkey  :     at android.os.Parcel.readException(Parcel.java:2334)

000142_persist_04659_230629_093620.log:1168: 06-29 09:36:23.378 13626 13626 W Monkey  :     at

android.hardware.input.IInputManager$Stub$Proxy.injectInputEvent(IInputManager.java:1379)

000142_persist_04659_230629_093620.log:1169: 06-29 09:36:23.378 13626 13626 W Monkey  :     at

android.hardware.input.InputManager.injectInputEvent(InputManager.java:1091)

000142_persist_04659_230629_093620.log:1170: 06-29 09:36:23.378 13626 13626 W Monkey  :     at

com.android.commands.monkey.MonkeyMotionEvent.injectEvent(MonkeyMotionEvent.java:188)

000142_persist_04659_230629_093620.log:1171: 06-29 09:36:23.378 13626 13626 W Monkey  :     at

com.android.commands.monkey.Monkey.runMonkeyCycles(Monkey.java:1219)

000142_persist_04659_230629_093620.log:1172: 06-29 09:36:23.378 13626 13626 W Monkey  :     at com.android.commands.monkey.Monkey.run(Monkey.java:710)

000142_persist_04659_230629_093620.log:1173: 06-29 09:36:23.378 13626 13626 W Monkey  :     at com.android.commands.monkey.Monkey.main(Monkey.java:570)

000142_persist_04659_230629_093620.log:1174: 06-29 09:36:23.378 13626 13626 W Monkey  :     at com.android.internal.os.RuntimeInit.nativeFinishInit(Native Method)

000142_persist_04659_230629_093620.log:1175: 06-29 09:36:23.378 13626 13626 W Monkey  :     at com.android.internal.os.RuntimeInit.main(RuntimeInit.java:355)

000142_persist_04659_230629_093620.log:1176: 06-29 09:36:23.378 13626 13626 W Monkey  : Caused by: android.os.RemoteException: Remote stack trace:

000142_persist_04659_230629_093620.log:1177: 06-29 09:36:23.378 13626 13626 W Monkey  :     at

com.android.server.input.InputManagerService.injectInputEventInternal(InputManagerService.java:885)

000142_persist_04659_230629_093620.log:1178: 06-29 09:36:23.378 13626 13626 W Monkey  :     at

com.android.server.input.InputManagerService.injectInputEvent(InputManagerService.java:837)

000142_persist_04659_230629_093620.log:1179: 06-29 09:36:23.378 13626 13626 W Monkey  :     at

android.hardware.input.IInputManager$Stub.onTransact(IInputManager.java:588)

000142_persist_04659_230629_093620.log:1180: 06-29 09:36:23.378 13626 13626 W Monkey  :     at android.os.Binder.execTransactInternal(Binder.java:1179)

000142_persist_04659_230629_093620.log:1181: 06-29 09:36:23.378 13626 13626 W Monkey  :     at android.os.Binder.execTransact(Binder.java:1143)

000142_persist_04659_230629_093620.log:1182: 06-29 09:36:23.378 13626 13626 W Monkey  :

000142_persist_04659_230629_093620.log:1190: 06-29 09:36:23.514 13626 13626 I Monkey  : Events injected: 225857

000142_persist_04659_230629_093620.log:1191: 06-29 09:36:23.658 13626 13626 I Monkey  : :Sending rotation degree=0, persist=false
000142_persist_04659_230629_093620.log:1406: 06-29 09:36:25.846 13626 13626 I Monkey  : // Generated profiling reports in /data/misc

000142_persist_04659_230629_093620.log:1408: 06-29 09:36:25.998 13626 13626 I Monkey  : :Dropped: keys=904 pointers=29 trackballs=0 flips=0 rotations=0

000142_persist_04659_230629_093620.log:1409: 06-29 09:36:26.162 13626 13626 I Monkey  : ## Network stats: elapsed time=52081592ms (0ms mobile, 0ms wifi,

52081592ms not connected)

000142_persist_04659_230629_093620.log:1412: 06-29 09:36:26.322 13626 13626 W Monkey  : * System appears to have crashed at event 225857 of 12000000 using seed

1234567

⑤早上测试同学看见屏幕息屏，然后操作屏幕，导致monkey报错停止

------------

由上述分析可知，monkey没有异常停止，是由于人为操作，导致monkey停止

同时息屏的原因时，30秒没有操作屏幕，进入屏保5秒后息屏了

■ 下一步计划

跑monkey时，不能够息屏，需要禁用进屏保5秒后息屏的功能

#3 - 2023-06-29 13:48 - CD FW 曹覃刚

- Assignee changed from CD FW 曹覃刚 to CD APP-王宏

#4 - 2023-06-29 23:27 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

211140 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:ScreenSaver:Fixed not responce when power offTC-RID: 1201-0300601IssueID: TS-R-BUG-118921Change-Id:

I5540d47a91c479669f0415d07282f6780c0bb74e

#5 - 2023-06-30 09:21 - CD APP-王宏

- Status changed from New to RESOLVED

- Assignee changed from CD APP-王宏 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-06-30

- Root cause set to 编码问题

■ Current conclusion

已入库

■ My analysis

如上分析，monkey下需要禁用息屏

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/211140

#6 - 2023-06-30 16:48 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

211562 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com
AF:ScreenSaver:Fixed not responce when power offTC-RID: 1201-0300601IssueID: TS-R-BUG-118921Change-Id:

I5540d47a91c479669f0415d07282f6780c0bb74e(cherry picked from commit 7a5587e198e819aa58854fb81e230416b6888268)

#7 - 2023-07-03 14:49 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to 0116

7.3

五台设备测试3天未复现此问题，先关闭

#8 - 2023-07-03 17:24 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
